CENM Deployment

CENM support matrix

Hardware Security Modules (HSMs)

Both the Signing Service and the PKI Tool support a variety of HSMs.

DeviceFirmware VersionDriver VersionHigh Availability (HA)
Utimaco SecurityServer Se Gen24.21.14.21.1No
Gemalto Luna7.0.37.3Yes (Tested and officially supported)
Securosys PrimusX2.7.41.8.2No
Azure Key VaultN/A1.1.1No
AWS CloudHSMN/A3.0.0No

CENM currently supports the following databases:

  • PostgreSQL 9.6 (JDBC 42.2.8)
  • PostgreSQL 10.10 (JDBC 42.2.8)
  • PostgreSQL 12.2 (JDBC 42.2.8)
  • SQL Server 2017 (Microsoft JDBC Driver 6.4)
  • Oracle 11gR2 (Oracle JDBC 6)
  • Oracle 12cR2 (Oracle JDBC 8)